petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSGLRegister

adds a TSGL implementation

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLRegister(const char sname[],PetscErrorCode (*function)(TS))

Not Collective

### Input Parameters

| name_scheme | - name of user-defined general linear scheme
| routine_create | - routine to create method context

### Notes

TSGLRegister() may be called multiple times to add several user-defined families.

### Sample usage

       TSGLRegister("my_scheme",MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

        TSGLSetType(ts,"my_scheme")

or at runtime via the option

        -ts_gl_type my_scheme

### Keywords

TSGL, register

### See Also

TSGLRegisterAll()

Level:advanced
Location:src/ts/impls/implicit/gl/gl.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages